List Order Coupons

Lists all order coupons. Optional parameters can be passed in. |Type `int`|Type Name| |-|-| |`0`|`per_item_discount`| |`1`|`percentage_discount`| |`2`|`per_total_discount`| |`3`|`shipping_discount`| |`4`|`free_shipping`| |`5`|`promotion`|

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idstringRequired

Query parameters

pagedoubleOptionalDefaults to 1
The page to return in the response.
limitdoubleOptionalDefaults to 50
Number of results to return.

Response

idinteger
Numeric ID of the coupon code.
coupon_idinteger
Numeric ID of the associated coupon.
order_idinteger
Numeric ID of the associated order.
codestring or null
Coupon code, as a string.
amountstring or double or integer

Amount of the discount. This information is returned as in integer. Dollar and percentage discounts will return the same. For example, $3 returns as 3 while 5% will return as 5. Check the discount type to see what type of discount is available.

typeenum

0: per_item_discount 1: percentage_discount 2: per_total_discount 3: shipping_discount 4: free_shipping 5: promotions

discountdouble
The amount off the order the discount is worth. For example, if an order subtotal is $90 and the discount is $3 then it will return as 3.000. If the discount is 3% then will return as 2.7000 or the amount of the order. (Float, Float-As-String, Integer)